summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2018-04-18 01:26:35 +0200
committer Willy Sudiarto Raharjo2018-04-21 02:43:05 +0200
commit7f1b329ebff5a657efd74cac4866fd15071cf521 (patch)
tree1a8eb3b98a78f17300c921a8cedd63c307173e61
parent57db198dae6278b3b0bdc798fa996c51ab0e77f0 (diff)
downloadslackbuilds-7f1b329ebff5a657efd74cac4866fd15071cf521.tar.gz
gis/SFCGAL: Updated for version 1.3.4.
-rw-r--r--gis/SFCGAL/SFCGAL.SlackBuild25
-rw-r--r--gis/SFCGAL/SFCGAL.info6
2 files changed, 16 insertions, 15 deletions
diff --git a/gis/SFCGAL/SFCGAL.SlackBuild b/gis/SFCGAL/SFCGAL.SlackBuild
index d224878603..66c9b8c435 100644
--- a/gis/SFCGAL/SFCGAL.SlackBuild
+++ b/gis/SFCGAL/SFCGAL.SlackBuild
@@ -2,7 +2,7 @@
# SlackBuild script for SFCGAL
-# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# Copyright 2013-2018 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -25,7 +25,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=SFCGAL
-VERSION=${VERSION:-1.3.1}
+VERSION=${VERSION:-1.3.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,14 +62,14 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir -p build
cd build
@@ -79,15 +79,16 @@ cd build
-DCMAKE_INSTALL_PREFIX=/usr \
..
- make VERBOSE=1
- make install VERBOSE=1 DESTDIR=$PKG
+ make install DESTDIR=$PKG
cd ..
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS LICENSE NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir $PKG/install
diff --git a/gis/SFCGAL/SFCGAL.info b/gis/SFCGAL/SFCGAL.info
index 9841cf63d8..62a8cf3689 100644
--- a/gis/SFCGAL/SFCGAL.info
+++ b/gis/SFCGAL/SFCGAL.info
@@ -1,8 +1,8 @@
PRGNAM="SFCGAL"
-VERSION="1.3.1"
+VERSION="1.3.4"
HOMEPAGE="http://www.sfcgal.org"
-DOWNLOAD="https://github.com/Oslandia/SFCGAL/archive/v1.3.1.tar.gz"
-MD5SUM="0dae815f44646e12e1ef2c87c31cb05d"
+DOWNLOAD="https://github.com/Oslandia/SFCGAL/archive/v1.3.4/SFCGAL-1.3.4.tar.gz"
+MD5SUM="138d56181d6a5b5d68695994c0f8f49f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="CGAL"